Page MenuHomePhabricator

Need to add support for links in Change-Id in patches
Closed, DuplicatePublic

Description

Please support links in Change-Id in patches. Like git did please support it here. for example please see https://phabricator.wikimedia.org/rEMEScb17279b82dd1e08ee954b75e12a9fef627f68c7 which Change-Id is not linked.

Event Timeline

Paladox created this task.Sep 2 2015, 6:23 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: Phabricator.
Paladox added a subscriber: Paladox.
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptSep 2 2015, 6:23 PM
greg added a subscriber: greg.Sep 2 2015, 7:05 PM

Which links? What isn't linked? To/from where?

Paladox renamed this task from Need to add support for links in commit-msg in patches to Need to add support for links in Change-Id in patches.Sep 2 2015, 7:10 PM
Paladox updated the task description. (Show Details)
Paladox set Security to None.

Sorry I made a mistake and said something different I have corrected it now it is to do with Change-Id not linking now.

Dzahn added a subscriber: Dzahn.Sep 2 2015, 7:17 PM

The "Change-Id: " is not a clickable link in the example above. So diffusion does not link you to Gerrit.

While on git.wikimedia.org, -> http://git.wikimedia.org/commit/mediawiki%2Fextensions%2FMwEmbedSupport.git/cb17279b82dd1e08ee954b75e12a9fef627f68c7 it is a clickable link that gets you to the Gerrit change

greg triaged this task as Lowest priority.Sep 2 2015, 7:18 PM

Gotcha. This request only applies in the current Gerrit+Phabricator world. When we switch to using Differential for code-review whatever work put into this task is no longer used. As such, I'm setting this to lowest priority. Hopefully we can close this as "invalid" in the not too distant future when we retire Gerrit.

Ok but coulden change-id be linked to gerrit temporarily until we do make that change since diffusion is now the default file viewing since the link was changed from git to phabricator in mediawiki.

greg added a comment.Sep 2 2015, 7:28 PM

Sure, it can but I'm not going to prioritize it on my team's work and jeopardize the more important work of actually migrating to Differential (which makes this work moot). In other words: no, the (short term) benefit doesn't justify the expenditure.

I think this has been done. Since https://phabricator.wikimedia.org/rOPUP0840e37a86d4ecba38ee185c5500a0b760d8618a shows in the Change Id the link.

I'm not sure weather we can decline this now.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 28 2016, 12:16 PM
greg closed this task as Resolved.May 6 2016, 8:45 PM